List all coupons
Returns a paginated list of your coupons. The coupons are sorted in order, with the most recent coupons appearing first.
/v1/coupons/Authorization
api_key_auth API key authentication. Use "Bearer YOUR_API_KEY" format.
In: header
Query Parameters
The number of results per page. Minimum value is 1 and maximum is 100. Defaults to 20.
A cursor value specifying the id of a resource to start before. Retrieves items that appear after this cursor in the list. Cannot be used together with ending_before.
^[0-9a-fA-F]{24}$A cursor value specifying the id of a resource to end after. Retrieves items that appear before this cursor in the list. Cannot be used together with starting_after.
^[0-9a-fA-F]{24}$Case-insensitive search matched against coupon label and code. Returns coupons where either field contains the search term.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.checkoutpage.com/v1/coupons/"{
"has_more": true,
"total": 42,
"data": [
{
"id": "string",
"label": "Free shipping within US",
"code": "10Off",
"amountOff": 0,
"currency": "string",
"percentOff": 0,
"appliesToSetupFee": true,
"duration": "once",
"durationInMonths": 0,
"redeemBy": "2019-08-24T14:15:22Z",
"maxRedemptions": 0,
"timesRedeemed": 0,
"deleted": false,
"sellerId": "string",
"pageIds": [
"string"
],
"ticketTypeIds": [
"67ee075004de439ab0b675b6",
"67fcbdac6a91c25ef2d3534a"
],
"stripeCouponId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
]
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}